package com.bonus.sharedstation.web.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 物业服务信息实体类
 */
@TableName("yz_property_services")
public class PropertyServiceDTO {
    /**
     * 序列化
     */
    private static final long serialVersionUID = 6197622378439437166L;
    /**
     * 唯一标识符
     */
    private Integer id;

    /**
     * 服务类型，如洗衣服务、绿植订购等
     */
    private String serviceType;

    /**
     * 服务提供商的名称
     */
    private String providerName;

    /**
     * 服务提供商的简介
     */
    private String providerDescription;

    /**
     * 服务提供商的联系电话
     */
    private String contactPhone;

    /**
     * 微信二维码的URL链接
     */
    private String wechatQrcodeUrl;
    /**
     * 颜色
     */
    private String color;



    /**
     * 创建人
     */

    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime;

    /**
     * 修改人
     */
    private String updatedBy;

    /**
     * 逻辑删除标识，1表示已删除，0表示未删除
     */
    private String isDeleted;

    /**
     * 图标
     */
    private String logAddress;

    public String getLogAddress() {
        return logAddress;
    }

    public void setLogAddress(String logAddress) {
        this.logAddress = logAddress;
    }


    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }


    // Getters and Setters
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getProviderDescription() {
        return providerDescription;
    }

    public void setProviderDescription(String providerDescription) {
        this.providerDescription = providerDescription;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public String getWechatQrcodeUrl() {
        return wechatQrcodeUrl;
    }

    public void setWechatQrcodeUrl(String wechatQrcodeUrl) {
        this.wechatQrcodeUrl = wechatQrcodeUrl;
    }


    @Override
    public String toString() {
        return "PropertyServiceDTO{" +
                "id=" + id +
                ", serviceType='" + serviceType + '\'' +
                ", providerName='" + providerName + '\'' +
                ", providerDescription='" + providerDescription + '\'' +
                ", contactPhone='" + contactPhone + '\'' +
                ", wechatQrcodeUrl='" + wechatQrcodeUrl + '\'' +
                ", color='" + color + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedTime=" + updatedTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                ", logAddress='" + logAddress + '\'' +
                '}';
    }
}
